﻿using Infragistics.Windows.Ribbon;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamRibbonGroups
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.xamRibbon1.PreviewMouseLeftButtonDown += XamRibbon1_PreviewMouseLeftButtonDown;
        }

        private void XamRibbon1_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            // 下記、CAS-26899-P8F8Z6 のコメントアウトしたロジックを流用しています。
            // クリックされたオブジェクトの取得方法は下記ブログを参照ください。
            //https://oldblogs.jp.infragistics.com/blogs/dikehara/archive/2010/01/05/tips-utilities-1-wpf.aspx

            DependencyObject obj = e.OriginalSource as DependencyObject;
            //ApplicationMenu をクリックした場合
            DependencyObject appMenuObj =
                    Infragistics.Windows.Utilities.GetAncestorFromType(
                        obj,
                        typeof(ApplicationMenuPresenter),
                        true);
            if (appMenuObj != null && appMenuObj is ApplicationMenuPresenter)
            {
                var appMenu = appMenuObj as ApplicationMenuPresenter;
                Debug.WriteLine("Application Menu がクリックされました。");

                //例：Application Menu を展開しない処理
                //MessageBox.Show("Application Menu は展開しません。");
                //e.Handled = true;
            }
        }
    }
}
